/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
#ifndef FULL_RANDOM_UNCHOKE_STRATEGY_H
#define FULL_RANDOM_UNCHOKE_STRATEGY_H

#include "ns3/simulator.h"
#include "ns3/UnchokeStrategyBase.h"

namespace ns3 {

class FullRandomUnchokeStrategy : public UnchokeStrategyBase
{
public:
  FullRandomUnchokeStrategy(Ptr<ConnectionManager> connectionManager);
private:
  FullRandomUnchokeStrategy();

public:
  bool StartUnchoke();
  bool StopUnchoke();

  void UnchokeStrategy();

private:
  bool FullRandomUnchoke();

private:
  Time    m_interval;
  EventId m_nextUnchokeStrategy;

};

}

#endif /* FULL_RANDOM_UNCHOKE_STRATEGY_H */

