/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */

#include "ns3/log.h"

#include "UnchokeStrategyBase.h"

namespace ns3 {

NS_LOG_COMPONENT_DEFINE("UnchokeStrategyBase");
NS_OBJECT_ENSURE_REGISTERED(UnchokeStrategyBase);

bool
UnchokeStrategyBase::isUnchokable(Ptr<PeerConnection> peer)
{
  NS_LOG_FUNCTION(this);

  NS_LOG_INFO("unchokable?");

  return m_connectionManager->isUnchokable(peer);;
}

bool
UnchokeStrategyBase::Unchoke(Ptr<PeerConnection> peer)
{
  NS_LOG_FUNCTION(this);

  return m_connectionManager->Unchoke(peer);
}

}
