/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
#ifndef CHOKE_STRATEGY_BASE_H
#define CHOKE_STRATEGY_BASE_H

#include "ns3/object.h"
#include "ns3/ConnectionManager.h"

namespace ns3 {

class ChokeStrategyBase : public Object
{
public:
  virtual bool StartChoke(void) = 0;
  virtual bool StopChoke(void)  = 0;

protected:
  bool Choke(Ptr<PeerConnection> peer);

protected:
  Ptr<ConnectionManager> m_connectionManager;

};

}

#endif /* CHOKE_STRATEGY_BASE_H */

